OpenNMS API 1.2.9

## org.opennms.netmgt.poller.pollables
Interface PollConfig

All Superinterfaces:
  Timer

All Known Implementing Classes:
  PollableServiceConfig, PollablesTest.MockPollConfig

public interface PollConfig
extends Timer

Represents a PollConfig

Author:
  brozow

Method Summary
`long` `getCurrentTime()`
`PollStatus` `poll()`
`void` `refresh()`

Method Detail

### poll

    public PollStatus poll()

### getCurrentTime

    public long getCurrentTime()

  Specified by:
    `getCurrentTime` in interface `Timer`
  Returns:

### refresh

    public void refresh()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.